
# Interface: ProductVariantResource

## Hierarchy

* **ProductVariantResource**

## Index

### Properties

* [name](productvariantresource.md#optional-name)
* [namespace](productvariantresource.md#optional-namespace)
* [resourceId](productvariantresource.md#optional-resourceid)
* [resourcePreview](productvariantresource.md#optional-resourcepreview)
* [type](productvariantresource.md#optional-type)
* [url](productvariantresource.md#optional-url)

## Properties

### `Optional` name

• **name**? : *string | null*

Resource name

___

### `Optional` namespace

• **namespace**? : *string | null*

Resource namespace.

___

### `Optional` resourceId

• **resourceId**? : *string | null*

Resource identifier.

___

### `Optional` resourcePreview

• **resourcePreview**? : *[ProductVariantResourcePreview](productvariantresourcepreview.md)*

___

### `Optional` type

• **type**? : *[ProductVariantResourceType](../enums/productvariantresourcetype.md)*

___

### `Optional` url

• **url**? : *string | null*

Resource url.
